package mygroup.myartifact;

import java.awt.EventQueue;
import java.lang.reflect.InvocationTargetException;
import java.util.Properties;

public class NodeStarter {
	public static void main(String[] args) {
		String param = null;
		if( args.length>0 ) {
			param = args[0];
		}
		final MachineNode machineNode = new MachineNode(param);
		Properties properties = machineNode.getProperties();
		
		if(properties.getProperty("headless")!=null && properties.getProperty("headless").equals("true")) {
			machineNode.start();
		} else { // Give control to MachineNodeGUI, let user start node
			try {
				EventQueue.invokeAndWait(new Runnable() {
					@Override
					public void run() {
						MachineNodeGUI gui = new MachineNodeGUI(machineNode);
						gui.setVisible(true);
					}
				});
			} catch (InterruptedException e) {
				e.printStackTrace();
			} catch (InvocationTargetException e) {
				e.printStackTrace();
			}
		}
				
	}
}
