package mygroup.myartifact.client;

import java.io.IOException;
import java.util.List;

import mygroup.myartifact.modules.global.supernode.webservice.Peer;

/**
 * This is a test class to test the HttpClient implementation. It read a config or test case file
 * with various HTTP-methods.
 * 
 * @author daniel
 *
 */
public class TestHttpClient {
	public static void main(String[] args) throws IOException {
		HttpClient client = new HttpClient();
		// TODO read in-memory config and execute HTTP-methods against the client
		client.setIpAndPort("localhost", 8282);
		// Issue all requests to localhost here
		
		// Test list peers
		System.out.println("TEST 1: list peers");
		List<Peer> peers = client.listPeers();
		System.out.println("Returned peers is:");
		System.out.println(peers);
		
		
		// Test get peer
		System.out.println("TEST 2: get peer");
		Peer peer = client.getPeer("xyz");
		System.out.println(peer);
		
		
		// Test add peer
		System.out.println("TEST 3: add peer");
		Peer peer2 = new Peer("myid","mynick", "132.45.32.215", 300);
		client.addPeer(peer2);
		Peer peer3 = client.getPeer("myid");
		System.out.println(peer3);
		
		
		// Test delete peer
		System.out.println("TEST 4: delete peer");
		client.deletePeer("xyz"); // here is a problem
		peers = client.listPeers();
		System.out.println("Returned peers is:");
		System.out.println(peers);
		

		
		
	}

}
