package mygroup.myartifact.dispatchers;

import java.net.Socket;

/**
 * A handler implementing this interface guarantees that it is able to handle a direct connection. 
 * 
 * It would be possible to make this interface extend the interface Dispatcher, but that would be a very harsh
 * restriction and I want to let the open for changes as much as possible. This brings up a
 * couple of new possibilities like introducing new classes to handle direct connection.
 * 
 * @author dell
 *
 */
public interface ConnectionHandler {
	public void handleConnection(Socket socket);
}
