package mygroup.myartifact.dispatchers.chat;

import mygroup.myartifact.modules.Node;

/**
 * Implemented by a class to be notified from a chat dispatcher if some other chat dispatcher wants to start a chat session.
 * A ChatRequestHandler needs to register itself on a Chat object to be notified about events, e.g. another chat dispatcher wants to start chat session.
 * 
 * This is a good example for the Strategy Pattern.
 * 
 * TODO would be more OOP also to introduce an interface for Chat, but OK for the moment
 * 
 * TODO want to supply reference to Chat object as well? Makes only sense if a single ChatListener wants to listen on multiple Chat instances
 *      but currently only a single chat dispatcher instances will be started, so useless for the moment
 *      
 * 
 * @author dell
 *
 */
public interface ChatRequestHandler {
	//public boolean wantToStartChat(String chatRequester); // Kind-a ugly to supply preformatted string, switch to Node, so that ChatRequestHandler can decide on it's own behalf how to react on message
	public boolean wantToStartChat(Node node);
}
