package mygroup.myartifact.dispatchers.chat;

import java.awt.Component;

import javax.swing.JOptionPane;

import mygroup.myartifact.modules.Node;

/**
 * This request handler shows a GUI dialog menu (JOptionPane) to ask user if he wants to accepts the chat request from another chat dispatcher (could be real user or machine)
 * 
 * @author dell
 *
 */
public class ChatRequestHandlerGUIDialog implements ChatRequestHandler {

	@Override
	public boolean wantToStartChat(Node node) {
		// Refactor: print GUI to ask user if he wants to accept chat request from other node
		String name = (node.getNick()==null) ? node.getNodeId() : node.getNick(); // How can that be, node is null, this is the problem...
		// Blocking until user presses YES or NO
		int result = JOptionPane.showConfirmDialog((Component) null, name+" wants to chat with you. Do you want to you accept the chat request?", "Chat request", JOptionPane.OK_CANCEL_OPTION);
		if(result==JOptionPane.OK_OPTION) {
	    	return true;
	    } else if(result==JOptionPane.CLOSED_OPTION) {
	    	return false;
	    } else { // Only possible result==JOptionPane.CANCEL_OPTION, which means that user just closed the window, interpreted this as decline
	    	return false;
	    }
	}
}
