package mygroup.myartifact.dispatchers.execute;

import java.util.Properties;

import mygroup.myartifact.MachineNode;
import mygroup.myartifact.dispatchers.DispatcherAction;
import mygroup.myartifact.dispatchers.Handler;
import mygroup.myartifact.modules.messages.NodeMessage;

/**
 * A local node can execute an arbitrary command on a remote node with ExecuteDispatcher.
 * A command usually has a return value, e.g. 0 for OK and !=0 to signal an execution error.
 * 
 * TODO What about security? Running *arbitrary* commands with local user privileges introduces
 *      a lot security concerns. Some sort of sandbox could be useful. Or restrict allowed commands.
 *      Delay the usage of this handler until all security concerns are solved. 
 * 
 * @author dell
 *
 */
public class ExecuteDispatcher extends Handler {

	public ExecuteDispatcher(MachineNode machineNode, Properties properties) {
		super(machineNode, properties);
	}

	@Override
	public boolean dispatchNodeMessage(NodeMessage nodeMessage) {
		return false;
	}

	@Override
	public String getIdentifier() {
		return null;
	}

	@Override
	public DispatcherAction[] getActions() {
		return null;
	}

}
