package mygroup.myartifact.dispatchers.transfer;

import java.io.Serializable;

/**
 * TransferHandler sends a file in two phases:
 *  (1) send file meta-data with FileInformation object
 *  (2) send actual bytes on wire
 * Phase (1) is needed, because the file size needs to be known before-hand to know how many bytes are coming through
 * wire. Additionally the local file name is transfered.
 * 
 * @author dell
 *
 */
public class FileInformation implements Serializable {
	private static final long serialVersionUID = 1L; // Version marker to avoid problems with different versions of file
	
	private String _fileName;
	private long _fileSize; // Other side needs a way to know when the file transfer ends
	
	public FileInformation(String fileName, long fileSize) {
		_fileName = fileName;
		_fileSize = fileSize;
	}
	
	public String getFileName()	{
		return _fileName;
	}
	
	public long getFileSize() {
		return _fileSize;
	}
	
}
