package mygroup.myartifact.modules.global.supernode.webservice;

import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSeeAlso;

//TODO maybe to much methods and information for a single object?
//     lets see; maybe a split into this and another JAXB-object for
//     information communication is a good idea.

//@XmlRootElement(name="peer") // obsolete, because class already is named 'Peer', which results in node name 'peer'
@XmlRootElement // Why not make this is a JAXB object, so we can simply return it.
public class Peer {
	// Need to be public so JAXB can generate nodes with values
	// TODO Read JAXB guide to make this better http://jersey.java.net/nonav/documentation/latest/user-guide.html#getting-started
	public String id;
	public String nick; // maybe not set (=null) 
	//public InetAddress globalIp;
	public String globalIp; // e.g. "1.2.3.4"
	public long leaseTime; // when this registration expires
	
	//public Peer(String id, String nick, InetAddress globalIp, long leaseTime) {
	public Peer(String id, String nick, String globalIp, long leaseTime) {
		this.id = id;
		this.nick = nick;
		this.globalIp = globalIp;
		this.leaseTime = leaseTime;
	}
	
	public Peer() {} // Why needed? Maybe for unmarshalling? Even if only marshalling is used? Seems so!
	
	public String getId() {
		return id;
	}

	/**
	 * Take care: could return null if no values has been set for nick.
	 * @return The nickname of the peer. Can be null, if no nickname has been set.
	 */
	public String getNick() {
		return nick;
	}

	public String getGlobalIP() {
		return globalIp;
	}

	public long getLeaseTime() {
		return leaseTime;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((globalIp == null) ? 0 : globalIp.hashCode());
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Peer other = (Peer) obj;
		if (globalIp == null) {
			if (other.globalIp != null)
				return false;
		} else if (!globalIp.equals(other.globalIp))
			return false;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}

	@Override
	public String toString() {
		return "Peer [id=" + id + ", nick=" + nick + ", globalIp=" + globalIp + ", leaseTime=" + leaseTime + "]";
	}
	
}
