package mygroup.myartifact.modules.global.supernode.webservice.test;

import javax.xml.bind.annotation.XmlRootElement;

// Have a look at the following link to more understand JAXB http://jaxb.java.net/tutorial/

@XmlRootElement
// Jersey will read this annotation and see that this is a jaxb class
public class GreetingBean {
	public String extra = "more text";
	
	public String greetingNode = null; // interesting, is a *public* field!
	// and it also *must* be public to make it appear in the resulting XML document
	// when private, than the XML document would only consists of <greetingBean/>
	
	// Seems like JAXB is just reading all field and prints it out as nodes
	// Also the order of the field variables is preserved in the XML document
	// Of course: there are annotations to change this default behavior.
	//            but for now, the default behavior is just fine.
	// If null, then the field ignored and no node created for it
	
	public GreetingBean() {} /* What is this method good for? */
	// also here: when created with default-constructor, the XML document will be <greetingBean/>
	// the 'greeting' String is public and accessible, but null=empty, so no node gets created
	
	public GreetingBean(String greeting) {
		this.greetingNode = greeting;
	}
	
	public String getExtra() {
		return this.extra;
	}
	
}
