package mygroup.myartifact.modules.messages;

import java.util.List;

import mygroup.myartifact.MachineNode;
import mygroup.myartifact.modules.websocket.messages.WebsocketMessage;

/**
 * A MachineNode uses this message-type to broadcast an up-to-date list of available handlers to all available nodes.
 * 
 * @author dell
 *
 */
public class BroadcastDispatchers extends NodeMessageDefault implements BroadcastMessage {
	private List<String> dispatchers;
	
	// cls is always the same for a specific message, so set it immediately
	public BroadcastDispatchers(String sender, List<String> dispatchers) {
		//super(sender, MachineNode.class); // Switched  from type to interface
		super(sender);
		this.dispatchers = dispatchers;
	}
	
	public List<String> getDispatchers() {
		return dispatchers;
	}
	
	
	// For XML Bean Persistence
	public BroadcastDispatchers() {}
	public void setDispatchers(List<String> dispatchers) {
		this.dispatchers = dispatchers;
	}
	
}
