package mygroup.myartifact.modules.messages;

import mygroup.myartifact.modules.NodeInfo;

/**
 * A new node uses this message-type to broadcast it's information to all other nodes, like nickname and dispatchers.
 * A BroadcastMessage has no fixed receiver of course, but only a sender.
 * 
 * This message-type is part of the overall strategy of a Node to let other nodes know about itself and know about
 * other nodes.
 * 
 * @author dell
 *
 */
public class BroadcastNodeInfo extends NodeMessageDefault implements BroadcastMessage {
	private NodeInfo _nodeInfo; // And still the case: NodeInfo doesn't need id-field, but OK for the moment
	
	public BroadcastNodeInfo(String sender, NodeInfo nodeInfo) {
		super(sender);
		_nodeInfo = nodeInfo;
	}
	
	public NodeInfo getNodeInfo() {
		return _nodeInfo;
	}
	
	// Some setters needed for XML Bean Persistence (unfortunately)
	// Isn't there a better way to serialize simple POJOs? How about using Injection with Reflection?
	// With this it is also possible to inject private fields with Field.setAccessible(true)
	public BroadcastNodeInfo() {}
	public void setNodeInfo(NodeInfo nodeInfo) {
		_nodeInfo = nodeInfo;
	}
	
}
