package mygroup.myartifact.modules.messages;

public abstract class NodeMessageDefault implements NodeMessage {
	protected String _sender;
	protected String _messageId;
	
	public NodeMessageDefault(String sender) {
		_sender = sender;
		_messageId = System.currentTimeMillis() + "-" + sender;
		// TODO Introduce *incremental* message-ids to implement message ordering, re-send of missing messages etc. for node-level messages
		//      Increment messages for each remote node would be needed for this(?)   
	}
	
	@Override
	public String getMessageId() {
		return _messageId;
	}
	
	@Override
	public String getSender() {
		return _sender;
	}
	
	@Override
	public String toString() {
		return "[sender:"+_sender+"]";
	}
	
	
	// Needed for XML Bean Persistence
	public NodeMessageDefault() {}
	public void setSender(String sender) {
		this._sender = sender;
	}
	public void setMessageId(String messageId) {
		_messageId = messageId;
	}
	
}
