package mygroup.myartifact.modules.messages;

import mygroup.myartifact.modules.NodeInfo;

/**
 * A node uses this message-type to tell a single another remote node information about itself, like nickname and provided
 * dispatchers. A node uses this message-type, when another node just showed up to PUSH it's own information to this remote
 * node.
 * 
 * TODO information overload: a UnicastMessage like TellNodeInfo already has a sender-field, which tells the same as
 *      the field NodeInfo.id, so how about forgetting about using NodeInfo and stick to fields nickname and List<String>
 *      for dispatchers?
 *      But this wouldn't be maintainable, what of node becomes more information in the future, that way NodeInfo can be
 *      centrally changed. Not sure about this, information is doubled for the moment, but that's OK for now.
 * 
 * @author dell
 *
 */
public class TellNodeInfo extends UnicastMessageDefault implements UnicastMessage {
	private NodeInfo _nodeInfo;

	public TellNodeInfo(String sender, String receiver, NodeInfo nodeInfo) {
		super(sender, receiver);
		this._nodeInfo = nodeInfo;
	}
	
	
	// Needed for XML Bean Persistence, just like setMethod for _nodeInfo; I wonder how CDI solves this without setter method?
	public TellNodeInfo() {}
	
	public NodeInfo getNodeInfo() {
		return _nodeInfo;
	}

	public void setNodeInfo(NodeInfo nodeInfo) {
		this._nodeInfo = nodeInfo;
	}
}
