package mygroup.myartifact.modules.messages;

public abstract class UnicastMessageDefault extends NodeMessageDefault implements UnicastMessage {
	private String receiver;
	
	public UnicastMessageDefault(String sender, String receiver) {
		super(sender);
		this.receiver = receiver;
	}
	
	@Override
	public String getReceiver() {
		return receiver;
	}
	
	@Override
	public String toString() {
		return "[sender:"+_sender+", receiver:"+receiver+"]";
	}
	
	
	// Needed for XML Bean Persistence (unfortunately)
	// I am not happy with this methods, especially not with the no-arg constructor, because this way classes inerhiting from this class could forget to set sender and receiver appropriately
	// And this is *very* bad; so XML Bean Persistence introduces a lot dirty into existing code
	public UnicastMessageDefault() {}
	public void setReceiver(String receiver) {
		this.receiver = receiver;
	}
	
	
}
