package mygroup.myartifact.modules.multicast.messages;

/**
 * A MulticastModule uses this message-type to signal/emit that a node is not available anymore through Multicast. This
 * *doesn't* mean that the node is shutting down, but only that communication through multicast is not available
 * anymore.
 * A Node is represented as a MulticastNode within a MulticastModule. A NodeInfo object is not needed, because the
 * sender can be accessed with getSender and checked against sender from MulticastNode.
 * 
 * @author dell
 *
 */
public class EmitAbsence extends MulticastMessageDefault {
	// This is the reason I don't like that XML Bean Persistence requires a no-arg constructor: I very easily to set sender, required by MulticastMessage to work properly
	// STOP no, this is a thing with DatagramPacket; a computer can have multiple interfaces used for multicast and I don't know which interface is used
	//      so set sender of MulticastMessage *after* received on remote node and extract address from DatagramPacket; this is more safe and robust I guess
	// 
	// Why EmiAbsence has no node-ID carrying with it, just like EmitPresence!?! Did I simply forget to include it?
	// Now I remember: identification took place based on getSender, which returns a InetSocketAddress object to identify the node
	//                 and EmitPresence carries node-ID to establish relationship between IP and node-ID necessary to know node
	// Unfortunately this is not enough when multiple MachineNodes run on the same machine utilising each a MulticastModule
	// So I need to modify the handling of EmitAbsence messages as well? NO, because own MulticastMessages are already filtered based on node-ID, so nothing to change here, fortunately (finally something that is already running well...:) )
	
	// Unbelievable how I dislike XML Bean Persistence: how easily I could forget to introduce needed EmitAbsence(String nodeId) constructor
	public EmitAbsence(String senderNodeId) {
		super(senderNodeId);
	}
	
	// Forget about XML Bean Persistence, where is XStreams already
	public EmitAbsence() {}
	
}
