package mygroup.myartifact.modules.multicast.messages;

import java.beans.XMLEncoder;
import java.io.ByteArrayOutputStream;
import java.util.ArrayList;

import mygroup.myartifact.modules.NodeInfo;

/**
 * A just started MulticastModule uses this message-type to signal/emit his availability or presence to other MulticastModules in
 * the local network. The message contains a NodeInfo object with all necessary information like nodeId, nick and
 * loaded dispatchers.
 * A MulticastModule also uses this message-type to react on a RequestEmit message.
 * 
 * @author dell
 *
 */
public class EmitPresence extends MulticastMessageDefault {
	// STOP NodeInfo should only be used in the context of NodeMessages, a MulticastMessage or MulticastModule doesn't deal directly with information like nick or dispatchers
	// SO switch from NodeInfo to single ID-String, this is sufficient for a MulticastModule to know
//	private NodeInfo _nodeInfo;
//	private String _id; // OBSOLETE NOW because each MulticastNode is now carrying node-ID itself in every message
	
	public EmitPresence(String senderNodeId) {
		super(senderNodeId);
	}
	
	// Needed for XML Bean Persistence, unfortunately; when do I plan to switch to XStreams... ;)
	public EmitPresence() {}
	
	
	// Testing to investigate who and how a trailing \n is inserted into serialized XML message
	public static void main(String[] args) {
		//NodeInfo nodeInfo = new NodeInfo("testId", "testNick", new ArrayList<String>()); // How to init ArrayList ad-hoc? Maybe with array-to-list conversion with Collections-static?
//		String xmlData = Utility.XML.serialize( new EmitPresence(nodeInfo) ); // Ob hier ein Fehler steckt?
		
		ByteArrayOutputStream baos = new ByteArrayOutputStream();
		XMLEncoder encoder = new XMLEncoder(baos);
		//encoder.writeObject( new EmitPresence(nodeInfo) ); // Was geht hier schief? Liegt es etwa an EmitPresence? Könnte das Vererben Schuld sein?
		encoder.writeObject( new EmitPresence("testId") ); // SWITCHED to String-ID instead of NodeInfo
		encoder.close();
		String xmlData = baos.toString();
		
		//System.out.println(xmlData);
		System.out.print(xmlData); // Hier sehr deutlich zu sehen: am Ende des XML-Dokuments wurde ein \n oder \n\r angefügt, so genau weiß ich das noch nicht
		System.out.println("Fertig");
	}
}
