package mygroup.myartifact.modules.multicast.messages;

/**
 * A MulticastModule uses this message-type so that other MulticastModules, receiving this message, react on this
 * message and introduce themselves.
 * 
 * TODO Currently request and emit is all handled with multicast datagram packets. Is this a good design approach?
 *      I need to decide if it makes sense to send a couple of message unicast and not multicast. Fortunately an
 *      opened MulticastSocket is effectively an opened UDP-Socket, which receives and accepts *any* messages directed
 *      to this port.
 *      
 *      I think it is a good idea that EmitPresence and EmitAbsence is send to every node, that is multicast.
 *      A RequestEmit is used by a MulticastNode to ask if anybody else is here. Every available other MulticastNode
 *      can answer with an EmitPresence message (reusing makes sense), but should response be send to every
 *      MulticastNode or only to the MulticastNode issuing the RequestEmit? That's a tough question and I am not sure if
 *      there is a perfect answer to this question.
 *      Why not send to everyone? Isn't that bad at all. Also RequestEmit is not *really* needed, because every
 *      MulticastNode sends a EmitPresence every 15 seconds anyways, to update lease-time.
 * 
 * Is RequestEmitPresence right to use? Currently it is never used! Does need to be used? And when if so!?!
 * I think this message-type is obsolete. Whenever a new node sends a EmitPresence and other nodes receive this,
 * they register that this is a new MulticastNode and send him back a EmitPresence as well. Is this really the case? Check it!
 * 
 * Currently not used, well, that's interesting to know
 * 
 * @author dell
 *
 */
public class RequestEmitPresence extends MulticastMessageDefault {
	public RequestEmitPresence(String senderNodeId) {
		super(senderNodeId);
	}
}
