package mygroup.myartifact.modules.websocket;

import java.util.concurrent.CountDownLatch;

import mygroup.myartifact.modules.websocket.messages.UnicastWebsocketMessage;
import mygroup.myartifact.modules.websocket.messages.WebsocketMessage;

/**
 * A class to wrap all information about a websocket-request. Needed to bring together response and request.
 * 
 * @author dell
 *
 */
public class WebsocketRequest {
	private String _messageId;
	private WebsocketMessage _response; // Variable to exchange received response-message between threads
	private CountDownLatch _latch; // Used to block thread waiting on response
	
	public WebsocketRequest(String messageId) {
		_messageId = messageId;
		_latch = new CountDownLatch(1);
	}
	
	public String getMessageId() {
		return _messageId;
	}
	
	public CountDownLatch getLatch() {
		return _latch;
	}
	
	public void setResponse(WebsocketMessage response) {
		_response = response;
	}
	public WebsocketMessage getResponse() {
		return _response;
	}
}
