package mygroup.myartifact.modules.websocket.messages;

/**
 * A WebsocketModule sends this message to a WebsocketServer to request a list of known other WebsocketModules.
 * The server will return a list of known WebsocketModules with a ReturnNodeListToClient message. So it is a request-response pair.
 * 
 * 
 * This message-type is now deprecated, because PULLING available nodes by WebsocketModule from WebsocketServer may introduces
 * runtime errors, especially when nodes are communicating through internet, where messages travel with different speeds.
 * Best to let WebsocketServer handle list of available nodes and PUSH this data to clients.
 * One possible strategy: give just identified WebsocketModule a list of current nodes with ReturnNodeListToClient
 * and tell about new node at runtime with TellClientAboutNewNode-message dynamically at runtime.
 * 
 * 
 * @author dell
 */
@Deprecated
public class AskServerForNodeList extends WebsocketMessage {
	// No data needed, server can identify client with WebSocketClient, which represents the client-side of a connection to a server
}
