package mygroup.myartifact.modules.websocket.messages;


/**
 * A WebSocket client uses this message-type to introduce itself to the server. Introducing itself it the first thing a
 * client needs to do and the server is checking this to be sure that the client really identified itself.
 * 
 * @author dell
 *
 */
public class IntroduceItselfToServer extends WebsocketMessage {
	private String _id; // This is the only information Websocket-level should care about
	
	public IntroduceItselfToServer(String id) {
		this._id = id;
	}
	
	public String getId() {
		return _id;
	}
	
	
	// Needed for XML Bean Persistence
	public IntroduceItselfToServer() {}
	public void setId(String id) {
		this._id = id;
	}
	
}
