package mygroup.myartifact.modules.websocket.messages;

import java.net.InetAddress;

/**
 * A WebSocket server uses this message-type to tell a connected client that a new node is available.
 * 
 * @author dell
 *
 */
public class TellClientAboutNewNode extends WebsocketMessage {
	private String _id;
	private InetAddress _ip;
	
	public TellClientAboutNewNode(String id, InetAddress ip) {
		super();
		_id = id;
		_ip = ip;
	}
	
	public String getId() {
		return _id;
	}
	
	public InetAddress getIP() {
		return _ip;
	}
	
	
	// Needed for XML Bean Persistence
	public TellClientAboutNewNode() {}
	public void setId(String id) {
		_id = id;
	}
	public void setIp(InetAddress ip) {
		_ip = ip;
	}
	
}
