package mygroup.myartifact.modules.websocket.messages;

import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * 
 * 
 */
public class TellConnectToOpenedPort extends UnicastWebsocketMessage {
	private String _addressString;
	
	private int _port;
	private String _dispatcherClass;
	
	public TellConnectToOpenedPort(String sender, String receiver, int port, String dispatcherClass) {
		super(sender, receiver);
		_port = port;
		_dispatcherClass = dispatcherClass;
		
		try {
			_addressString = InetAddress.getLocalHost().getHostAddress();
		} catch (UnknownHostException e) {
			System.out.println("This should *never* happen, does this machine has interfaces at all?");
			e.printStackTrace();
		}	
	}
	
	public int getPort() {
		return _port;
	}
	
	public String getDispatcherClass() {
		return _dispatcherClass;
	}
	
	public String getAddressString() {
		return _addressString;
	}
	
	
	// Need for XML Bean Persistence
	public TellConnectToOpenedPort() {}
	public void setPort(int port) { _port = port; }
	public void setDispatcherClass(String dispatcherClass) { _dispatcherClass = dispatcherClass; }
	public void setAddressString(String addressString) { _addressString = addressString; }
}
