package mygroup.myartifact.modules.websocket.messages;

import java.net.InetAddress;

/**
 * This is a response-message in reaction to a TellToOpenPort request-message.
 * 
 * @author dell
 *
 */
public class TellOpenedPort extends WebsocketMessageResponse {
	private int _port;
	private InetAddress _address;
	
	public TellOpenedPort(String sender, String receiver, String referencedMessageId, InetAddress address, int port) {
		super(sender, receiver, referencedMessageId);
		_port = port;
		_address = address;
	}
	
	public int getPort() {
		return _port;
	}
	
	public InetAddress getInetAddress() {
		return _address;
	}
	
	
	// Needed for XML Bean Persistence
	public TellOpenedPort() {}
	public void setPort(int port) { _port = port; }
	public void setInetAddress(InetAddress address) { _address = address; }
}
