package mygroup.myartifact.modules.websocket.messages;

/**
 * A WebsocketServer uses this message-type to tell node A to which port it should connect to get a proxy connection
 * to another node previously names by node-ID.
 * The other node B receives a TellOpenedProxyPort-message as well to connect to this port.
 * Node B doesn't need to know who is the other node, but maybe in the future if this should be necessary to know, it
 * shouldn't be a big deal to introduce more fields to this class or introduce another message-types as well.
 * 
 * @author dell
 *
 */
public class TellOpenedProxyPort extends WebsocketMessage {
	private int _port;
	
	public TellOpenedProxyPort(int port) {
		_port = port;
	}
	
	public int getPort() {
		return _port;
	}
	
	
	// XML Bean Persistence
	public TellOpenedProxyPort() {}
	public void setPort(int port) { _port = port; }
	
}
