package mygroup.myartifact.modules.websocket.messages;

/**
 * Tell remote node to open port and return the port-number as response. This is a request-message.
 * To implement request-response, easiest way is if *every* WebsocketMessage has a message-id
 * and introduce interface ResponseWebsocketMessage, which requires a method getReferencedMessageId()
 * 
 * @author dell
 *
 */
public class TellToOpenPort extends UnicastWebsocketMessage {
	private String _dispatcherClass;
	
	public TellToOpenPort(String sender, String receiver, String dispatcherClass) {
		super(sender, receiver);
		_dispatcherClass = dispatcherClass;
	}
	
	public String getDispatcherClass() {
		return _dispatcherClass;
	}
	
	
	// XML Bean Persistence
	public TellToOpenPort() {}
	public void setDispatcherClass(String dispatcherClass) { _dispatcherClass = dispatcherClass; }
}
