package mygroup.myartifact.modules.websocket.messages;

/**
 * WebsocketMessages are used to exchange information between WebsocketModule and WebsocketServer.
 * 
 * Try to use very descriptive names for Message classes, e.g. don't use ListNodes but AskServerForNodeList etc., because ListNodes cannot
 * be distinguished between client to server request or server to client response.
 * It's always a good idea to start the name of a message-class with a verb, e.g. Ask, Send, Return etc.
 * 
 * @author dell
 */
public abstract class WebsocketMessage {
	protected String _messageId;
	
	public WebsocketMessage() {
		_messageId = String.valueOf( System.currentTimeMillis() );
	}
	
	public String getMessageId() {
		return _messageId;
	}
	
	
	// XML Bean Persistence
	public void setMessageId(String messageId) { _messageId = messageId; }
}
